%define module_name	compcache
%define module_release	alt5
%define module_version	0.5.4

%define kversion	2.6.27
%define krelease	alt9
%define flavour		tmc-tc

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/%module_name

Summary:	Linux %{module_name} kernel modules
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132635.9
License:	GPL
Group:		System/Kernel and hardware

URL:		http://code.google.com/p/compcache/
Packager:	Kernel Maintainer Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

ExclusiveOS:	Linux

%if "tmc-tc" == "tmc-tc"
ExclusiveArch: i586
%else
ExclusiveArch: %ix86 x86_64
%endif

%description
Compressing swap pages and keeping them in RAM provides more memory
space for applications. This is especially useful for swapless embedded
devices, and equally useful for memory-constrained thin clients.

%prep
rm -rf kernel-source-%module_name-%module_version
tar xf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make -C %_usrsrc/linux-%kversion-%flavour M=$(pwd) V=1 modules

%install
install -dm755 %buildroot%module_dir
install -m644 *.ko sub-projects/*/*/*.ko %buildroot%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%doc README
%module_dir/

%changelog
* Thu Mar 11 2010 Michael Shigorin <mike@altlinux.org> 0.5.4-alt5.132635.9
- Build for kernel-image-tmc-tc-2.6.27-alt9.

* Sat Dec 19 2009 Michael Shigorin <mike@altlinux.org> 0.5.4-alt5
- 0.5.4

* Tue Aug 18 2009 Michael Shigorin <mike@altlinux.org> 0.5.3-alt4
- spec cleanup

* Tue Aug 18 2009 Michael Shigorin <mike@altlinux.org> 0.5.3-alt3
- restrict tmc-tc flavour to i586
- added Packager:

* Tue Aug 18 2009 Michael Shigorin <mike@altlinux.org> 0.5.3-alt2
- converted to template

* Sun Jul 26 2009 Michael Shigorin <mike@altlinux.org> 0.5.3-alt1.132635.3
- built for 2.6.27-tmc-tc-alt3

* Mon Jun 15 2009 Michael Shigorin <mike@altlinux.org> 0.5.3-alt1.132635.1
- 0.5.3
- built for 2.6.27-tmc-tc-alt1

* Thu Feb 28 2008 Led <led@altlinux.ru> 0.1-alt1.132630.11
- build for led-tc-2.6.22-alt11

* Thu Feb 28 2008 Led <led@altlinux.ru> 0.1-alt1.132625.12
- initial build
